Subject: Re: [PATCH 02/10][v6] powerpc/Power7: detect load/store instructions

From: Sukadev Bhattiprolu <[email-masked]>
Date: Wed, 16 Oct 2013 08:27:42 -0700

David Laight [[email-masked]] wrote:
| 
| I can't help feeling the code could do with some comments about
| which actual instructions are selected where.

At a high level, only the load and store instructions are selected.

I added a reference to the Appendix F (Opcode maps) in the function
header.  The opcode maps is a table of upper x lower values. From
that table it should be fairly straightforward which instructions
are selected.

How about I add this to the function header ?

 * Please use the table in Appendix F (opcode maps) to determine
 * events selected by this function.

There are over 100 instructions selected by this list and wasn't
sure if we should list them all.

Sukadev